Subject: Linguistics study

From: [email-masked]
Date: Sun, 25 Mar 2001 16:36:38 -0000

I marvel at the depth of linguistic knowledge of some of this group's 
participants. Can anyone suggest some good books to give the 
linguistically-challenged among us some insight into this field? I'm 
thinking of a survey of world languages (not just European 
languages), something popular rather than academic. Amazon.com lists 
13,000 books in the "linguistics" category, which doesn't help much.

Thanks!
Bob Seidensticker